Subject: Re: CHIP specifier
From: [email-masked]
To: [email-masked]
Date: Tue, 27 Jul 93 12:10:36 PDT

>>
>> I would also greatly appreciate a chip specifier. What are
>> the advantages of storing this sort of data in a separate
>> file? IMO, it only creates problems for the end-user when
>> they come to copy your product to their hard disk or
>> whatever.
>>
>> Why not give the compiler a command-line option to
>> incorporate graphics/sound files into the finished
>> program. E could give the program a pointer to a
>> structure which tells it where the memory is etc. In this
>> way, Amiga E could achieve a 'memory bank' type operation
>> which is what has helped AMOS become so incredibly
>> popular. What do you think Wouter? Is this feasible?
>
>I requested this when E first came out (remember Wouter?) and _still_
>think its a good idea.

    I think this is a good idea, but would rather wait for it if it would
delay 2.5. Let it come out later in 2.6 or something. This could also be
accomplished now in the style of EPP with an external program. It would
probably require a small module/lib to be made, and the info could be
UUencoded into text, stuck into the code as an argument (a very LONG argument
at that!) to a function which would decode and load it into memory, where E
could access it. A kind of LINKER. It shouldn't take up more space than have
EC code it in some proprietary way. Someone would just have to implement a way
of UUencoding it into text, so EC doesn't choke on it. All the LINKs would be
put at the end of the code before it was compiled. 

Whatcha think?

 / / /
/_/_/iZ

MODULE 'WiZkId'
PROC main()
  wizkid.inetaddress:=[email-masked]'
  wizkid.realname:='Jeffrey J Peden ]['
ENDPROC

*-- GammaTag Version 2.8 --*
*-- Yeah, but what's the speed of DARK?